# Poco

# template < class C >

# class TLSSlot

Library: Foundation
Package: Threading
Header: Poco/ThreadLocal.h

## Description

The Slot template wraps another class so that it can be stored in a ThreadLocalStorage object. This class is used internally, and you must not create instances of it yourself.

## Inheritance

Direct Base Classes: TLSAbstractSlot

All Base Classes: TLSAbstractSlot

## Member Summary

Member Functions: value

## Constructors

### TLSSlot

TLSSlot();

## Destructor

### ~TLSSlot

~TLSSlot();

## Member Functions

### value

C & value();